import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class PlusButtonWidget extends StatelessWidget {
  final int index;
  final String direction;
  final Offset offset;
  final Function(int index, Offset newPosition) onButtonTap;

  const PlusButtonWidget({
    super.key,
    required this.index,
    required this.direction,
    required this.offset,
    required this.onButtonTap,
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        onButtonTap(index, const Offset(0, 150));
      },
      child: Container(
        width: 30,
        height: 30,
        decoration: const BoxDecoration(
          color: ColorsManager.spaceColor,
          shape: BoxShape.circle,
        ),
        child: const Icon(
          Icons.add,
          color: ColorsManager.whiteColors,
          size: 20,
        ),
      ),
    );
  }
}
